Package io.vertx.kafka.admin

## Class ConsumerGroupListing

- java.lang.Object
- - io.vertx.kafka.admin.ConsumerGroupListing

-     public class ConsumerGroupListing
      extends Object

  A listing of a consumer group in the cluster.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConsumerGroupListing()` | Constructor
    `ConsumerGroupListing​(JsonObject json)` | Constructor (from JSON representation)
    `ConsumerGroupListing​(String groupId, boolean isSimpleConsumerGroup)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getGroupId()` |
    `boolean` | `isSimpleConsumerGroup()` |
    `ConsumerGroupListing` | `setGroupId​(String groupId)` | Set the consumer group id
    `ConsumerGroupListing` | `setSimpleConsumerGroup​(boolean isSimpleConsumerGroup)` | Set if consumer group is simple or not
    `JsonObject` | `toJson()` | Convert object to JSON representation
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsumerGroupListing

          public ConsumerGroupListing()

      Constructor

    - #### ConsumerGroupListing

          public ConsumerGroupListing​(String groupId,
                                      boolean isSimpleConsumerGroup)

      Constructor
      Parameters:
        `groupId` - consumer group id
        `isSimpleConsumerGroup` - if consumer group is simple or not

    - #### ConsumerGroupListing

          public ConsumerGroupListing​(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Returns:
        consumer group id

    - #### setGroupId

          public ConsumerGroupListing setGroupId​(String groupId)

      Set the consumer group id
      Parameters:
        `groupId` - consumer group id
      Returns:
        current instance of the class to be fluent

    - #### isSimpleConsumerGroup

          public boolean isSimpleConsumerGroup()

      Returns:
        if consumer group is simple or not

    - #### setSimpleConsumerGroup

          public ConsumerGroupListing setSimpleConsumerGroup​(boolean isSimpleConsumerGroup)

      Set if consumer group is simple or not
      Parameters:
        `isSimpleConsumerGroup` - if consumer group is simple or not
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`